<?xml version="1.0" encoding="utf-8"?>
<TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="br.up.edu.appcomtablelayout.MainActivity"
    android:columnCount="4"
    android:rowCount="6">

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1">

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn01"
            android:text="1"
            android:textSize="30dp"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn02"
            android:text="2"
            android:textSize="30dp"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn03"
            android:text="3"
            android:textSize="30dp"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn04"
            android:textSize="30dp"
            android:text="4"
            android:layout_weight="1" />
    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1">

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn05"
            android:textSize="30dp"
            android:text="5"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn06"
            android:textSize="30dp"
            android:text="6"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn07"
            android:textSize="30dp"
            android:text="7"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn08"
            android:textSize="30dp"
            android:text="8"
            android:layout_weight="1" />
    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1">

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn09"
            android:textSize="30dp"
            android:text="9"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn10"
            android:textSize="30dp"
            android:text="10"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn11"
            android:textSize="30dp"
            android:text="11"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn12"
            android:textSize="30dp"
            android:text="12"
            android:layout_weight="1" />
    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1">

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn13"
            android:textSize="30dp"
            android:text="13"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn14"
            android:textSize="30dp"
            android:text="14"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn15"
            android:textSize="30dp"
            android:text="15"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn16"
            android:textSize="30dp"
            android:text="16"
            android:layout_weight="1" />
    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1">

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn17"
            android:textSize="30dp"
            android:text="17"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn18"
            android:textSize="30dp"
            android:text="18"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn19"
            android:textSize="30dp"
            android:text="19"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn20"
            android:textSize="30dp"
            android:text="20"
            android:layout_weight="1" />
    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1">

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn21"
            android:textSize="30dp"
            android:text="21"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn22"
            android:textSize="30dp"
            android:text="22"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn23"
            android:textSize="30dp"
            android:text="23"
            android:layout_weight="1" />

        <Button
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:id="@+id/btn24"
            android:textSize="30dp"
            android:text="24"
            android:layout_weight="1" />
    </TableRow>

</TableLayout>
